Subject: Re: linux-next: origin tree build failure

From: Linus Torvalds <[email-masked]>
Date: Mon, 11 Jan 2010 17:26:33 -0800 (PST)

On Tue, 12 Jan 2010, Stephen Rothwell wrote:
> 
> I then got these:
> 
> lib/decompress_unlzo.c: In function 'unlzo':
> lib/decompress_unlzo.c:106: error: 'error' undeclared (first use in this function)
> lib/decompress_unlzo.c:111: error: implicit declaration of function 'error'
> 
> So I just reverted commit
> cacb246f8db2b9eba89d44a0f0dd4f6ed93bc113 ("Add LZO compression support
> for initramfs and old-style initrd") after removing my fix above.

Hmm. I think the real problem is that it allowed LZO to be enabled at all, 
despite HAVE_KERNEL_LZO not being enabled.

In other words, I think the config dependencies for RD_LZO are just 
totally broken.

Does this work for you?

(Totally untested and not very much thought about, this is just a "that 
looks really _wrong_" kind of patch)

		Linus

---
 usr/Kconfig |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/usr/Kconfig b/usr/Kconfig
index e2721f5..0254cce 100644
--- a/usr/Kconfig
+++ b/usr/Kconfig
@@ -75,7 +75,7 @@ config RD_LZMA
 config RD_LZO
 	bool "Support initial ramdisks compressed using LZO" if EMBEDDED
 	default !EMBEDDED
-	depends on BLK_DEV_INITRD
+	depends on BLK_DEV_INITRD && HAVE_KERNEL_LZO
 	select DECOMPRESS_LZO
 	help
 	  Support loading of a LZO encoded initial ramdisk or cpio buffer